<div style="display: flex; justify-content: space-around;">

    <form class="example-form" [formGroup]="cardForm" (submit)="submit()">
        <mat-form-field class="example-full-width">
            <mat-label>Heed Solutions</mat-label>
            <input matInput disabled value="Heed Solutions">
        </mat-form-field>

        <table class="example-full-width" cellspacing="0">
            <tr>
                <td>
                    <mat-form-field class="example-full-width">
                        <mat-label>Nome Completo</mat-label>
                        <input matInput formControlName="cardholderName">
                    </mat-form-field>
                </td>
                <td>
                    <mat-form-field class="example-full-width">
                        <mat-label>Numero do Cartão</mat-label>
                        <input matInput formControlName="cardNumber" (keyup)="getBrand()">
                    </mat-form-field>
                </td>
            </tr>
        </table>

        <table class="example-full-width" cellspacing="0">
            <tr>
                <td>
                    <mat-form-field class="example-full-width">
                        <mat-label>Validade (Mês)</mat-label>
                        <input matInput formControlName="expirationMonth">
                    </mat-form-field>
                </td>
                <td>
                    <mat-form-field class="example-full-width">
                        <mat-label>Validade (Ano)</mat-label>
                        <input matInput formControlName="expirationYear">
                    </mat-form-field>
                </td>
                <td>
                    <mat-form-field class="example-full-width">
                        <mat-label>Código</mat-label>
                        <input matInput (focusin)="focusIn()" (focusout)="focusOut()" formControlName="securityCode">
                    </mat-form-field>
                </td>
            </tr>
        </table>

        <table class="example-full-width" cellspacing="0">
            <tr>
                <td>
                    <mat-form-field class="example-full-width">
                        <mat-label>Valor (R$)</mat-label>
                        <input matInput formControlName="amount">
                    </mat-form-field>
                </td>
                <td>
                    <mat-form-field class="example-full-width">
                        <mat-label>Parcelas</mat-label>
                        <input matInput formControlName="installments">
                    </mat-form-field>
                </td>
                <td>
                    <mat-form-field class="example-full-width">
                        <mat-label>Referência</mat-label>
                        <input matInput formControlName="reference">
                    </mat-form-field>
                </td>
            </tr>
        </table>
        <button mat-raised-button color="primary" [disabled]="cardForm.invalid">Enviar</button>
    </form>

    <div class="creditcard">
        <div class="creditcard__side creditcard__side--front" [class.active]="!turnCard" [class.nu]="checkBank('nu')">
            <h2 style="color: #fff">{{ card?.brand }}</h2>
            <h2 style="color: #fff">{{ card?.type }}</h2>
            <h2 style="color: #fff">{{ card?.level }}</h2>
            <h2 style="color: #fff">{{ card?.bank }}</h2>
            <h2 style="color: #fff; margin: 170px 0 0 20px;">{{cardForm.get('cardholderName').value | uppercase }}</h2>
        </div>
        <div class="creditcard__side creditcard__side--back" [class.active]="turnCard" [class.nu]="checkBank('nu')">
            <div class="creditcard__magnetic"></div>
            <div class="creditcard__details">
                <span class="creditcard__details-cvv">{{cardForm.get('securityCode').value}}</span>
            </div>
        </div>
    </div>
</div>



<p>
    <button mat-raised-button color="warn" (click)="login()">Logar como Rafael</button>
    <button mat-raised-button color="warn" (click)="logout()">Deslogar</button>
    <button mat-raised-button color="warn" (click)="cloudFunction()">Chamar função</button>
</p>
<p><button mat-button>sidenav.toggle()</button></p>
<p><button mat-raised-button color="accent" (click)="lerTransacao()">Chama o José</button></p>
<!-- <p><button mat-raised-button color="accent" (click)="detalheCartao()">Chama o José</button></p> -->
<p>{{ transacao | json }}</p>

<mat-card class="example-card">
    <mat-card-header>
        <div mat-card-avatar class="example-header-image"></div>
        <mat-card-title>Shiba Inu</mat-card-title>
        <mat-card-subtitle>Dog Breed</mat-card-subtitle>
    </mat-card-header>
    <img mat-card-image src="https://material.angular.io/assets/img/examples/shiba2.jpg" alt="Photo of a Shiba Inu">
    <mat-card-content>
        <p>
            The Shiba Inu is the smallest of the six original and distinct spitz breeds of dog from Japan.
            A small, agile dog that copes very well with mountainous terrain, the Shiba Inu was originally
            bred for hunting.
        </p>
    </mat-card-content>
    <mat-card-actions>
        <button mat-raised-button color="accent">LIKE</button>
        <button mat-button>SHARE</button>
    </mat-card-actions>
</mat-card>

<mat-accordion>
    <mat-expansion-panel>
        <mat-expansion-panel-header>
            <mat-panel-title>
                Personal data
            </mat-panel-title>
            <mat-panel-description>
                Type your name and age
            </mat-panel-description>
        </mat-expansion-panel-header>

        <mat-form-field>
            <mat-label>First name</mat-label>
            <input matInput>
        </mat-form-field>

        <mat-form-field>
            <mat-label>Age</mat-label>
            <input matInput type="number" min="1">
        </mat-form-field>
    </mat-expansion-panel>
    <mat-expansion-panel (opened)="panelOpenState = true" (closed)="panelOpenState = false">
        <mat-expansion-panel-header>
            <mat-panel-title>
                Self aware panel
            </mat-panel-title>
            <mat-panel-description>
                Currently I am {{panelOpenState ? 'open' : 'closed'}}
            </mat-panel-description>
        </mat-expansion-panel-header>
        <p>I'm visible because I am open</p>
    </mat-expansion-panel>
</mat-accordion>

<div class="card">
    <div class="card__side card__side--front">
        <div class="card__picture card__picture--1">
            &nbsp;
        </div>
        <h4 class="card__heading">
            <span class="card__heading-span card__heading-span--1">The Sea Explorer</span>
        </h4>
        <div class="card__details">
            <ul>
                <li>3 day tours</li>
                <li>Up to 30 people</li>
                <li>2 tour guides</li>
                <li>Sleep in cozy hotels</li>
                <li>Difficulty: easy</li>
            </ul>
        </div>
    </div>
    <div class="card__side card__side--back card__side--back-1">
        <div class="card__cta">
            <div class="card__price-box">
                <p class="card__price-only">Only</p>
                <p class="card__price-value">$297</p>
            </div>
            <a href="#popup" class="btn btn--white">Book now!</a>
        </div>
    </div>
</div>

<youtube-player videoId="dQw4w9WgXcQ" suggestedQuality="highres" [height]="600" [width]="1080" [startSeconds]="43"
    [endSeconds]="60" (stateChange)="stateChange($event)" (ready)="ready($event)">
</youtube-player>